Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class AbstractSVGPreserveAspectRatio.PreserveAspectRatioParserHandler

    java.lang.Object
      org.apache.batik.parser.DefaultPreserveAspectRatioHandler
          org.apache.batik.dom.svg.AbstractSVGPreserveAspectRatio.PreserveAspectRatioParserHandler

All Implemented Interfaces:
  PreserveAspectRatioHandler

Enclosing class:
  AbstractSVGPreserveAspectRatio

    protected class AbstractSVGPreserveAspectRatio.PreserveAspectRatioParserHandler

extends DefaultPreserveAspectRatioHandler

Field Summary
`short` | `align`
`short` | `meetOrSlice`

Fields inherited from class org.apache.batik.parser.DefaultPreserveAspectRatioHandler
`INSTANCE`

Constructor Summary
`protected` | `AbstractSVGPreserveAspectRatio.PreserveAspectRatioParserHandler()`

Method Summary
`short` | `getAlign()`
`short` | `getMeetOrSlice()`
`void` | `meet()` Invoked when 'meet' has been parsed.
`void` | `none()` Invoked when 'none' been parsed.
`void` | `slice()` Invoked when 'slice' has been parsed.
`void` | `xMaxYMax()` Invoked when 'xMaxYMax' has been parsed.
`void` | `xMaxYMid()` Invoked when 'xMaxYMid' has been parsed.
`void` | `xMaxYMin()` Invoked when 'xMaxYMin' has been parsed.
`void` | `xMidYMax()` Invoked when 'xMidYMax' has been parsed.
`void` | `xMidYMid()` Invoked when 'xMidYMid' has been parsed.
`void` | `xMidYMin()` Invoked when 'xMidYMin' has been parsed.
`void` | `xMinYMax()` Invoked when 'xMinYMax' has been parsed.
`void` | `xMinYMid()` Invoked when 'xMinYMid' has been parsed.
`void` | `xMinYMin()` Invoked when 'xMinYMin' has been parsed.

Methods inherited from class org.apache.batik.parser.DefaultPreserveAspectRatioHandler
`endPreserveAspectRatio, startPreserveAspectRatio`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### align

    public short align

### meetOrSlice

    public short meetOrSlice

Constructor Detail

### AbstractSVGPreserveAspectRatio.PreserveAspectRatioParserHandler

    protected AbstractSVGPreserveAspectRatio.PreserveAspectRatioParserHandler()

Method Detail

### getAlign

    public short getAlign()

### getMeetOrSlice

    public short getMeetOrSlice()

### none

    public void none()
              throws ParseException

  Invoked when 'none' been parsed.

  Specified by:
    `none` in interface `PreserveAspectRatioHandler`
  Overrides:
    `none` in class `DefaultPreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### xMaxYMax

    public void xMaxYMax()
                  throws ParseException

  Invoked when 'xMaxYMax' has been parsed.

  Specified by:
    `xMaxYMax` in interface `PreserveAspectRatioHandler`
  Overrides:
    `xMaxYMax` in class `DefaultPreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### xMaxYMid

    public void xMaxYMid()
                  throws ParseException

  Invoked when 'xMaxYMid' has been parsed.

  Specified by:
    `xMaxYMid` in interface `PreserveAspectRatioHandler`
  Overrides:
    `xMaxYMid` in class `DefaultPreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### xMaxYMin

    public void xMaxYMin()
                  throws ParseException

  Invoked when 'xMaxYMin' has been parsed.

  Specified by:
    `xMaxYMin` in interface `PreserveAspectRatioHandler`
  Overrides:
    `xMaxYMin` in class `DefaultPreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### xMidYMax

    public void xMidYMax()
                  throws ParseException

  Invoked when 'xMidYMax' has been parsed.

  Specified by:
    `xMidYMax` in interface `PreserveAspectRatioHandler`
  Overrides:
    `xMidYMax` in class `DefaultPreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### xMidYMid

    public void xMidYMid()
                  throws ParseException

  Invoked when 'xMidYMid' has been parsed.

  Specified by:
    `xMidYMid` in interface `PreserveAspectRatioHandler`
  Overrides:
    `xMidYMid` in class `DefaultPreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### xMidYMin

    public void xMidYMin()
                  throws ParseException

  Invoked when 'xMidYMin' has been parsed.

  Specified by:
    `xMidYMin` in interface `PreserveAspectRatioHandler`
  Overrides:
    `xMidYMin` in class `DefaultPreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### xMinYMax

    public void xMinYMax()
                  throws ParseException

  Invoked when 'xMinYMax' has been parsed.

  Specified by:
    `xMinYMax` in interface `PreserveAspectRatioHandler`
  Overrides:
    `xMinYMax` in class `DefaultPreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### xMinYMid

    public void xMinYMid()
                  throws ParseException

  Invoked when 'xMinYMid' has been parsed.

  Specified by:
    `xMinYMid` in interface `PreserveAspectRatioHandler`
  Overrides:
    `xMinYMid` in class `DefaultPreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### xMinYMin

    public void xMinYMin()
                  throws ParseException

  Invoked when 'xMinYMin' has been parsed.

  Specified by:
    `xMinYMin` in interface `PreserveAspectRatioHandler`
  Overrides:
    `xMinYMin` in class `DefaultPreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### meet

    public void meet()
              throws ParseException

  Invoked when 'meet' has been parsed.

  Specified by:
    `meet` in interface `PreserveAspectRatioHandler`
  Overrides:
    `meet` in class `DefaultPreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### slice

    public void slice()
               throws ParseException

  Invoked when 'slice' has been parsed.

  Specified by:
    `slice` in interface `PreserveAspectRatioHandler`
  Overrides:
    `slice` in class `DefaultPreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.